'use strict';











var _jestMatchers = require('jest-matchers');var _jestMatchers2 = _interopRequireDefault(_jestMatchers);
var _jestSnapshot = require('jest-snapshot');function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}












module.exports = config => {
  global.expect = _jestMatchers2.default;
  _jestMatchers2.default.setState({ expand: config.expand });
  _jestMatchers2.default.extend({ toMatchSnapshot: _jestSnapshot.toMatchSnapshot, toThrowErrorMatchingSnapshot: _jestSnapshot.toThrowErrorMatchingSnapshot });
  _jestMatchers2.default.addSnapshotSerializer = _jestSnapshot.addSerializer;

  const jasmine = global.jasmine;
  jasmine.anything = _jestMatchers2.default.anything;
  jasmine.any = _jestMatchers2.default.any;
  jasmine.objectContaining = _jestMatchers2.default.objectContaining;
  jasmine.arrayContaining = _jestMatchers2.default.arrayContaining;
  jasmine.stringMatching = _jestMatchers2.default.stringMatching;

  jasmine.addMatchers = jasmineMatchersObject => {
    const jestMatchersObject = Object.create(null);
    Object.keys(jasmineMatchersObject).forEach(name => {
      jestMatchersObject[name] = function () {
        // use "expect.extend" if you need to use equality testers (via this.equal)
        const result = jasmineMatchersObject[name](null, null);
        // if there is no 'negativeCompare', both should be handled by `compare`
        const negativeCompare = result.negativeCompare || result.compare;

        return this.isNot ?
        negativeCompare.apply(null, arguments) :
        result.compare.apply(null, arguments);
      };
    });

    const expect = global.expect;
    expect.extend(jestMatchersObject);
  };
}; /**
    * Copyright (c) 2014-present, Facebook, Inc. All rights reserved.
    *
    * This source code is licensed under the BSD-style license found in the
    * LICENSE file in the root directory of this source tree. An additional grant
    * of patent rights can be found in the PATENTS file in the same directory.
    *
    * 
    */